How Can We Help?

Kategóriák

lsPHP használata a tárhelyen

Ön itt van
< Minden téma

Mi az lsphp?

lsphp – PHP + LSAPI.

Mit takar az LSAPI?

A LiteSpeed Server Application Programming Interface (LSAPI) kifejezetten a LiteSpeed Web Server és a harmadik féltől származó webes alkalmazások közötti zökkenőmentes, optimalizált kommunikációra lett kifejlesztve. Az LSAPI segítségével a gyorsabban és megbízhatóbban lehet a PHP oldalakat kiszolgálni.
Alacsony memória fogyasztással rendelkezik, és a .htaccess fájlokban definiált PHP irányelveket is feldolgozza.

A cPanel felületen a PHP verzió választás menüpontban elérhető PHP verziókkal működik.

Abban az esetben ha valamelyik weboldal esetében szeretné használni az lsPHP-t, akkor az adott weboldalhoz tartozó kezdőkönyvtárban (document_root) kell létrehozni egy .htaccess fájlt, majd abban a következő sorok egyikét kell elhelyezni. A beállítást követően rekurzívan, az összes alkönyvtárra is érvényes lesz a beállítás.

PHP 4.4-es verzió esetében:

AddHandler application/x-httpd-lsphp44 .php .php5 .php4 .php3

PHP 5.1-es verzió esetében:

AddHandler application/x-httpd-lsphp51 .php .php5

PHP 5.2-es verzió esetében:

AddHandler application/x-httpd-lsphp52 .php .php5

PHP 5.3-as verzió esetében:

AddHandler application/x-httpd-lsphp53 .php .php5

PHP 5.4-es verzió esetében:

AddHandler application/x-httpd-lsphp54 .php .php5

PHP 5.5-ös verzió esetében:

AddHandler application/x-httpd-lsphp55 .php .php5

PHP 5.6-os verzió esetében:

AddHandler application/x-httpd-lsphp56 .php .php5

PHP 7.0-ás verzió esetében:

AddHandler application/x-httpd-lsphp70 .php .php5

PHP 7.1-es verzió esetében:

AddHandler application/x-httpd-lsphp71 .php .php5

PHP 7.2-es verzió esetében:

AddHandler application/x-httpd-lsphp72 .php .php5

PHP 7.3-as verzió esetében:

AddHandler application/x-httpd-lsphp73 .php .php5

PHP 7.4-es verzió esetében:

AddHandler application/x-httpd-lsphp74 .php .php5

A verziónkénti bekapcsolt modulok globális beállítások, de a php.ini beállításokat le lehet cserélni egy .php.ini fájl elhelyezésével, illetve az 5.4-es PHP verziótól kezdődően elhelyezhet egy .user.ini fájlt, amiben egyesével felülbírálhatóak a PHP beállítások az adott könyvtárra (és annak alkönyvtáraira).

Címkék:
Előző Lista
Következő MailChimp kód hozzáadása
Was this article helpful?
0 out of 5 stars
5 Stars 0%
4 Stars 0%
3 Stars 0%
2 Stars 0%
1 Stars 0%
How can we improve this article?
Tartalomjegyzék